aboutsummaryrefslogtreecommitdiffstats
path: root/meta-perl/recipes-perl/libauthen/libauthen-radius-perl/run-ptest
diff options
context:
space:
mode:
authorAdrian Bunk <bunk@stusta.de>2019-06-07 23:18:22 +0300
committerKhem Raj <raj.khem@gmail.com>2019-06-15 16:45:33 -0700
commitd7ea637358f3840ff442f983d37bd0ccfd829737 (patch)
treee67ff0fb84848d4a08e1e1883aa29505394baccc /meta-perl/recipes-perl/libauthen/libauthen-radius-perl/run-ptest
parent2ab13510874809a4d44cf07ae82a408c08607a41 (diff)
downloadmeta-openembedded-contrib-d7ea637358f3840ff442f983d37bd0ccfd829737.tar.gz
recipes-devtools: Move back from meta-networking to meta-perl
It needs both freeradius and perl-module-data-dumper, so neither place would fulfill all dependencies. In general meta-perl looks like the more appropriate place. The location in meta-networking also had the problem that it was one directory too deep and therefore not included in BBFILES. Signed-off-by: Adrian Bunk <bunk@stusta.de> Signed-off-by: Khem Raj <raj.khem@gmail.com>
Diffstat (limited to 'meta-perl/recipes-perl/libauthen/libauthen-radius-perl/run-ptest')
-rw-r--r--meta-perl/recipes-perl/libauthen/libauthen-radius-perl/run-ptest21
1 files changed, 21 insertions, 0 deletions
diff --git a/meta-perl/recipes-perl/libauthen/libauthen-radius-perl/run-ptest b/meta-perl/recipes-perl/libauthen/libauthen-radius-perl/run-ptest
new file mode 100644
index 0000000000..f1c833e6ca
--- /dev/null
+++ b/meta-perl/recipes-perl/libauthen/libauthen-radius-perl/run-ptest
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+
+# prepare testing config
+CONF_USERS=`readlink -f /etc/raddb/users`
+mv ${CONF_USERS} ${CONF_USERS}_orig
+echo "testing Cleartext-Password := \"testpassword\"" > ${CONF_USERS}
+cat ${CONF_USERS}_orig >> ${CONF_USERS}
+
+# restart radiusd server
+systemctl restart radiusd || /etc/init.d/radiusd restart || {
+ echo "FAIL: Start radiusd service."
+ exit 1
+}
+
+# run teests
+perl test.pl
+
+# restore the config and restart
+mv ${CONF_USERS}_orig ${CONF_USERS}
+systemctl restart radiusd || /etc/init.d/radiusd restart